Version 6.7.7 Source
Single

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---

### Controller

#### erpnext.buying.doctype.purchase_common.purchase_common

### Class PurchaseCommon

Inherits from erpnext.controllers.buying_controller.BuyingController

check_docstatus (self, check, doctype, docname, detail_doctype=)

No docs

check_for_stopped_or_closed_status (self, doctype, docname)

No docs

update_last_purchase_rate (self, obj, is_submit)

updates lastpurchaserate in item table for each item

validate_for_items (self, obj)

No docs